=== debian/changelog ===
xmms2 (0.8+dfsg-29) unstable; urgency=medium

  * QA upload
  * Switch to libopenmpt-modplug-dev

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 26 Sep 2025 12:45:47 +0200

xmms2 (0.8+dfsg-28) unstable; urgency=medium

  * QA upload
  * d/copyright: Convert to machine-readable format
  * Fix lintian date warning
  * Drop python3-xmmsclient (Closes: #1087580)

 -- Bastian Germann <bage@debian.org>  Wed, 11 Dec 2024 22:25:55 +0000

xmms2 (0.8+dfsg-27) unstable; urgency=medium

  * QA upload
  * Fix FTBFS with gcc-14. (Closes: #1075672, LP: #2080596)
  * Fix FTBFS with ffmpeg 7. (Closes: #1072462, LP: #2080640)

 -- Paul Mars <paul.mars@canonical.com>  Thu, 19 Sep 2024 15:55:22 +0200

xmms2 (0.8+dfsg-26) unstable; urgency=medium

  * QA upload

  [ Sudip Mukherjee <sudipm.mukherjee@gmail.com> ]
  * Fix coredump with long pathnames. (LP: #2018449)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Jun 2024 11:38:46 +0200

xmms2 (0.8+dfsg-25) unstable; urgency=medium

  * QA upload
  * Move to Depends: pkgconf
  * Prevent waf distclean

  [ Axel Beckert ]
  * Drop Homepage, Move d/{copyright,watch} to GitHub

  [ Samuel Thibault ]
  * d/control: Generalize hurd-i386 into hurd-any

 -- Bastian Germann <bage@debian.org>  Sat, 22 Jun 2024 17:04:38 +0000

xmms2 (0.8+dfsg-24) unstable; urgency=medium

  * QA upload.
  * Build-depend on cython3-legacy instead of cython3. Closes: #1056894.
  * xmms2: Curl plugin: intermediate buffer overrun (patch provided by
    Luc Verhaegen). Closes: #1009108.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Nov 2023 11:19:39 +0100

xmms2 (0.8+dfsg-23) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with ffmpeg 5.0, thanks to Dan Bungert.  (Closes: #1004805)
  * Drop alternate dependency on obsolete ruby-interpreter.
  * Drop NEWS from 2006.
  * Set Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 02 Jun 2023 10:08:57 +0200

xmms2 (0.8+dfsg-22) unstable; urgency=medium

  * QA upload.
  * debian/rules: set --libdir=/usr/lib to fix a strange build failure on
    ppc64el.

 -- Steve Langasek <vorlon@debian.org>  Thu, 18 Nov 2021 02:00:46 +0000

xmms2 (0.8+dfsg-21) unstable; urgency=medium

  * QA upload.
  * Remove build-dependency libgamin-dev.
    Apparently unused since the 0.7DrNo release.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 06 Feb 2021 12:55:30 +0000

xmms2 (0.8+dfsg-20) unstable; urgency=medium

  * QA upload.
  * Incorporate changes from 0.8+dfsg-18.3 NMU
  * Add build dependency on libpod-parser-perl (Closes: #961151)

 -- Scott Talbert <swt@techie.net>  Fri, 19 Jun 2020 15:58:18 -0400

xmms2 (0.8+dfsg-19) unstable; urgency=medium

  * QA upload.
  * Update VCS URLs to Salsa
  * Upgrade bundled waf to 2.0.20 to support Python 3.8
  * Patch to use more modern waf in wscripts
  * Fix Python enum declaration
  * Switch to use Python 3 (Closes: #938852)
  * Set Maintainer to QA group as package is orphaned
  * Update debhelper compat version to 13
  * Add lintian overrides for library-not-linked-against-libc (false pos)

 -- Scott Talbert <swt@techie.net>  Sun, 24 May 2020 21:15:44 -0400

xmms2 (0.8+dfsg-18.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove liboost-signals-dev from Build-Depends. (Closes: #955581)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 09 Jun 2020 00:19:53 +0200

xmms2 (0.8+dfsg-18.2) unstable; urgency=high

  * Non-maintainer upload.
  * Build using GCC 8 and tighten dependency on the shared library. Closes:
    #871285

 -- Emanuele Rocca <ema@debian.org>  Mon, 25 Feb 2019 08:12:48 +0100

xmms2 (0.8+dfsg-18.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -Wno-deprecated-declarations using new glib.
  * Fix build with new libcdio-paranoia. Closes: #881797.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Nov 2017 13:54:03 +0100

xmms2 (0.8+dfsg-18) unstable; urgency=medium

  * Remove glib version check (Closes: #849373)
  * Update Vcs links to point to https URLs
  * Mention Perl library name in description of libaudio-xmmsclient-perl

 -- Benjamin Drung <bdrung@debian.org>  Mon, 02 Jan 2017 22:46:43 +0100

xmms2 (0.8+dfsg-17) unstable; urgency=medium

  * Bug fix: "FTBFS with openssl 1.1.0", thanks to Sebastian Andrzej
    Siewior (Closes: #828609).
  * Bump Standards-Version to 3.9.8 (no changes needed).

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 29 Oct 2016 21:17:05 +0200

xmms2 (0.8+dfsg-16) unstable; urgency=medium

  * OTHER: Let the compiler figure out what to inline.
    (thanks to Daniel Svensson <dsvensson@gmail.com>,
    fix: "equalizer not working", thanks to dave (Closes: #825017).

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 22 May 2016 19:50:17 +0200

xmms2 (0.8+dfsg-15) unstable; urgency=medium

  * remove samba on hurd-i386 (Closes: #815410).
    thanks to Andreas Beckmann

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 21 Feb 2016 14:16:33 +0100

xmms2 (0.8+dfsg-14) unstable; urgency=medium

  * transition do g++-5 (Closes: #797646)
    rename libxmmsclient++4 to libxmmsclient++4v5
    rename libxmmsclient++-glib1 to libxmmsclient++-glib1v5

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 06 Sep 2015 11:59:37 +0200

xmms2 (0.8+dfsg-13) unstable; urgency=low

  * xmms2-plugin-gme: list supported formats in description, thanks to
    Samuel Bronson (Closes: #780075).
  * Bug fix: "FTBFS: uses obsolete ruby Config::CONFIG", thanks to Andreas
    Cadhalpun and Christian Hofstaedtler (Closes: #792493, #782259).
  * Bump Standards-Version to 3.9.6 (no changes needed).

 -- Rémi Vanicat <vanicat@debian.org>  Tue, 21 Jul 2015 15:07:37 +0200

xmms2 (0.8+dfsg-12) unstable; urgency=medium

  * Do not build vistest (Closes: #768679)

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 09 Nov 2014 11:44:03 +0100

xmms2 (0.8+dfsg-11) unstable; urgency=low

  * Use a virtual package (xmms2-plugin-output) to allow not installing the
    alsa plugin (Closes: #499950).
  * Perl 5.20 transition: make libaudio-xmmsclient-perl.install an

