=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// https://github.com/xmms2/xmms2-devel/tags .*/(.*).tar.gz
